public class Main {
    public static void main(String[] args) {
        //1、定义int类型的2个变量 a=15、b=10。分别在控制台输出。
        int a=15,b=10;
        // sout+回车键
        System.out.println(a);
        System.out.println(b);

        //2、交换a和b的变量值，允许使用第三个变量参与交换。让a=10，b=15,再输出。
        int t=0;
        t=a;    //把变量a的值赋值给t
        a=b;    //把变量b的值赋值给a
        b=t;    //把变量t的值复制给b
        System.out.println(a);
        System.out.println(b);

        //3、交换a和b的变量值，不允许使用第三个变量参与交换。
        // 把a+b(15+10)的结果 赋值给a(25)  b是10
        a=a+b;
        //把 a-b  25-10 的结果15 赋值给b（15）
        b=a-b;  // 25-10=15  b就是15
        //把 a-b  25-15 的结果10 赋值给a（10）
        a=a-b;  // 25-15=10 a就是10

        System.out.println(a);
        System.out.println(b);







    }
}